package com.casic.missiles.modular.system.enmus;


import com.casic.missiles.core.enums.ExportExcelEnum;
import com.casic.missiles.core.enums.ExportExcelHeaderEnum;
import com.casic.missiles.core.util.SpringContextHolder;
import com.casic.missiles.modular.config.SluicewellServerProperties;
import org.hswebframework.expands.office.excel.config.Header;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public enum SluicewellExportEnum implements ExportExcelHeaderEnum {

    DEVICE_EXPORT(new ArrayList() {{
        add(new Header("井编号", "wellCode"));
        add(new Header("井名称", "wellName"));
        add(new Header("井深", "deep"));
        add(new Header("详细地址", "position"));
        add(new Header("井类型", "wellTypeName"));
        add(new Header("权属单位", "deptName"));
        add(new Header("设备数量", "deviceCount"));
        add(new Header("布防状态", "bfztName"));
    }}, "sluicewell.xlsx", "井数据导出");

    //SLUICEWELLDATA_EXPORT("sluicewell.xlsx", "sluicewell.xlsx", "闸井数据");

    /**
     * 导出模板相对路径
     */
    private List<Header> headers;
    /**
     * 下载文件名
     */
    private String fileName;
    /**
     * 描述信息
     */
    private String description;

    SluicewellExportEnum(List<Header> headers, String fileName, String description) {
        this.headers = headers;
        this.fileName = fileName;
        this.description = description;
    }

    @Override
    public List<Header> getHeaders() {
        return headers;
    }

    @Override
    public String getFileName() {
        return fileName;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public Map<String, Short> getCustomColumnStyle() {
        return null;
    }
}
